/*
Theme Name: All Ireland Insurance - Betheme Child
Author: Kevin Bourke
Description: All Ireland Insurance Child Theme for Betheme
Template: betheme
Version: 2.0.2
*/
:root {
    --aii-primary-color: #068A8F;
    --aii-primary-darker-color: #034749;
    --aii-secondary-color: #02C684;
    --aii-first-accent: #9FF21C;
    --aii-second-accent: #ff6b6b;
    --aii-light-bg-colour: #E9E4F1;
}
html {
    scroll-behavior: smooth;
}
/**===== Header and navigation =======**/
#Header_creative.aii {
    background: var(--aii-primary-darker-color);
}

#Side_slide #menu ul li.submenu .menu-toggle {
    color: #fff;
}
#Side_slide #menu ul li.submenu .menu-toggle:after {
    font-weight: 400;
}
/* button style in menu, for dummy login */
.link-btn a span {
    border: 1px solid #9b9b9b !important;
    display: inline-block !important;
    border-radius: 6px;
    padding: 8px !important;
}
/* Header media queries */
@media only screen and (max-width: 479px) {
    #menu > ul > li > a, #overlay-menu ul li a {
        font-size: 15px;
    }
    #menu .sub-menu .menu-item a {
        font-size: 15px;
    }
}
@media only screen and (max-width: 767px) {
    .aii #Top_bar {
        background: #034749 !important;
    }
    #Top_bar #logo img {
        height: 85%;
    }
}
@media only screen and (min-width: 768px) and (max-width: 1239px) {
    #menu > ul > li > a, #overlay-menu ul li a {
        font-size: 16px;
    }
    #menu .sub-menu .menu-item a {
        font-size: 16px;
    }
}
#Top_bar .menu > li.current-menu-item > a, #Top_bar .menu > li.current_page_item > a, #Top_bar .menu > li.current-menu-parent > a, #Top_bar .menu > li.current-page-parent > a, #Top_bar .menu > li.current-menu-ancestor > a, #Top_bar .menu > li.current-page-ancestor > a, #Top_bar .menu > li.current_page_ancestor > a {
    border-bottom: 1px solid;
}
/* hide dark logo on mobile and tablet */
.dark-logo {
    display: none; 
}
/* LOGO . This would have been for custom header to move logo to right */
/* #Header_creative.aii {
    background-color: red;
}
#Header_creative.aii .creative-wrapper > .logo #logo {
    display: block;
    height: 60px;
    line-height: 60px;
    padding: 15px 0;
    box-sizing: content-box;
    height: 80px;
    line-height: 80px;
    padding: 50px 0;
}
#Header_creative.aii .logo {
    float: right;
    margin-left: 0;
    margin-right: 15px;
}
#Header_creative.aii .creative-wrapper > .logo #logo img.logo-sticky,
#Header_creative.aii .creative-wrapper > .logo #logo img.logo-mobile,
#Header_creative.aii .creative-wrapper > .logo #logo img.logo-mobile-sticky {
    display: none;
} */
 /* Side bar mobile devices */
 body #Side_slide .social {
    text-align: left;
    margin-left: 15px;
}
/** General **/
.elementor-widget-container p:last-of-type {
    margin-bottom: 0;
}
h3.elementor-heading-title {
    margin-top: 30px;
    line-height: 1.3;
}
.elementor-tab-content hr {
    border: 1px solid;
    margin: 30px 0 45px;
    color: rgba(0, 0, 0, .12);
}
/** ------ Custom Classses ----- **/
.core-areas h3.elementor-heading-title,
.insurance-page-details h3.elementor-heading-title {
    margin-top: 0;
    line-height: inherit;
}

/* Dark elementor sections */
/* should only affect outer elementor (e-parent) container */
.elementor-element.dark.e-con.e-parent,
#Footer {
    background: var(--aii-primary-darker-color);
}
/** ------ FOOTER ------**/
.mfn-footer .footer_copy {
    padding-bottom: 20px;
}
#Footer.mfn-footer > .widgets_wrapper > .container {
    border-top: 1px solid var(--aii-first-accent);
    /* max-width: 760px; */
    padding-top: 40px;
}
#Footer .one-third.column {
    box-sizing: border-box;
}

.mfn-footer .mcb-column-inner {
    font-size: 15px;
}
/* .mfn-footer .footer_copy .container {
    max-width: 760px;
} */
.mfn-footer .footer_copy .mcb-column-inner {
    font-size: 14px;
    padding: 15px 0;
    line-height: 1.4;
    margin-bottom: 5px;
}
#menu-policy-menu a {
    font-size: 14px;
}
.policies-container {
    text-align: right;
    display: inline-block;
}
.footer_copy .social {
    display: inline-block;
}
#Footer .footer_copy .social li a {
    font-size: 22px;
}
.footer-policy-menu {
    padding-top: 10px;
    text-align: right;
}
.footer_copy .policy_menu li {
    display: inline-block;
    margin-right: 15px;
    border-right: 1px solid;
    padding-right: 15px;
}
.footer_copy .policy_menu li:last-of-type {
    border-right: none;
}
/* give height back to .mcb-column-inner */
.footer_copy .mcb-column-inner::after {
    content: "";
    display: block;
    clear: both;
}
@media only screen and (max-width: 767px) {
    .footer-policy-menu {
        text-align: center;
    }
}
@media only screen and (min-width: 768px) {
    #Footer .one-third.column:first-of-type {
        width: 30%;
    }
    #Footer .one-third.column:nth-of-type(2) {
        padding-left: 60px;
        width: 40%;
    }
    #Footer .one-third.column:nth-of-type(3) {
        width: 30%;
    }
}
@media only screen and (min-width: 1240px) {
    /* Header and Logo */
    body.header-open #Header_creative {
        padding-left: 56px;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    body.header-creative.header-open {
        padding-left: 0;
    }
    body #Header_creative #Top_bar .logo {
        margin: 15px 0 30px;
    }
    body #Top_bar #logo {
        padding: 0 10px 0 0;
        height: auto;
        line-height: unset;
    }
    /* #Header_creative.aii .logo {
        position: absolute;
        right: 0;
    } */
     /* MENU */
     /* outer menu wrapper */
     body #Header_creative.aii {
        width: 200px;
        background-color: transparent;
     }
     body #Header_creative #Top_bar .menu > li > a {
        text-align: left;
        /* padding-left: 20px; */
     }
     /* current item */
     #Top_bar .menu > li.current-menu-item > a {
        border-bottom: none;
     }
     /* does not work : #Top_bar .menu > li.current-menu-item > a:not(.menu-toggle) span::after { */
    /* does work #Top_bar .menu > li.current-menu-item > a span:after { */
    #Top_bar .menu > li.current-menu-item:after {
        content: " ";
        display: block;
        background: var(--aii-secondary-color);
        width: 30px;
        height: 1px;
    }
    /* remove line on menu items */
    #Top_bar .menu > li > a span:not(.description) {
        border-bottom: none;
    }
    /* parent item with sub menu */
    #Header_creative.dropdown #Top_bar #menu ul li.current-menu-parent > a > span::before {
        display: block;
        content: " ";
        width: 30px;
        height: 2px;
        background: var(--aii-secondary-color);
        position: absolute;
        bottom: 0;
    }
    #Header_creative.dropdown #Top_bar #menu ul li.current-menu-parent > a {
        border-bottom: none;
    }
    /* Drop down arrow */
    body.menuo-arrows:not(.keyboard-support) #Top_bar .menu > li.submenu > a:not(.menu-toggle):after {
        right: 50px;
        border-top-color: var(--aii-secondary-color);
    }
    body #Header_creative.dropdown #Top_bar #menu ul li.submenu .menu-toggle {
        right: 30px;
    }
    body #Header_creative.dropdown #Top_bar #menu ul li.submenu .menu-toggle {
        color: #fff;
    }
    /* SUB MENU */
    #Header_creative.dropdown #Top_bar #menu ul li ul.sub-menu {
    padding-left: 10px;
    }
    #Header_creative.dropdown #Top_bar #menu ul.sub-menu li a span {
        line-height: 1.3;
    }
    #Header_creative.dropdown #Top_bar #menu ul.sub-menu li a {
        padding: 5px 10px;
    }
    /* sub menu link */
     body #Header_creative.dropdown #Top_bar #menu ul li ul li a {
        font-size: 14px;
        text-align: left;
     }
     /* Hide action bar and socials on desktop */
     .header-open #Header_creative #Action_bar {
        display: none;
    }
    /*==== Changing logo depending on section it is over ====*/
    .light-logo {
        display: block; /* Initially show the light logo */
    }
    .dark-logo {
        display: none; /* initially hide dark logo */
    }
    .dark-section .dark-logo {
        display: none; /* Hide dark logo when in dark section */
    }
    .dark-section .light-logo {
        display: block; /* Show the white logo in dark sections */
    }
    #Top_bar #logo.light-section .dark-logo {
        display: block; /* Hide dark logo when in dark section */
        max-height: 80px;
    }
    .light-section .light-logo {
        display: none; /* Show the white logo in dark sections */
    }
}